package com.engine.salary.report.service;

import com.engine.salary.report.entity.po.SalaryStatisticsPushDetailPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryStatisticsPushDetailService
 * @date 2023/09/13 15:10
 * @description
 */
public interface SalaryStatisticsPushDetailService {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsPushDetailPO> listAll();

    List<SalaryStatisticsPushDetailPO> listSome(SalaryStatisticsPushDetailPO po);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryStatisticsPushDetailPO getById(Long id);


    /**
     * 新增，忽略null字段
     *
     * @param po 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryStatisticsPushDetailPO po);

    /**
     * 修改，修改所有字段
     *
     * @param po 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryStatisticsPushDetailPO po);

    /**
     * 修改，忽略null字段
     *
     * @param po 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryStatisticsPushDetailPO po);

    /**
     * 删除记录
     *
     * @param po 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryStatisticsPushDetailPO po);

    /**
     * 根据批次id查询
     * @param batchIds
     */
    List<SalaryStatisticsPushDetailPO> queryPushDetailPOByBatchIds(List<Long> batchIds);

    /**
     * 根据批次id、员工id查询
     * @param
     */
    List<SalaryStatisticsPushDetailPO> queryPushDetailPOByBatchIdAndEmpIds(Long batchId, List<Long> sharedBy);

    /**
     * 根据被分享人获取分享记录列表
     * @param uid
     * @return
     */
    List<SalaryStatisticsPushDetailPO> getSuccessPushDetailListByReceiver(Long uid);

}
